<div fxLayout="column">

  <app-header [title]="'Τιμολογήσεις'" icon="dashboard" action="create" actionName="Δημιουργία νέας τιμολόγησης" (actionEmitter)="actionEmitter($event)"></app-header>

  <app-extreme-table id="table" [columns]="columns" [data]="invoices" noDataText="Δεν έχετε πραγματοποιήσει καμία τιμολόγηση"
                     (navigateEvent)="navigate($event)" (downloadEvent)="printPDF($event)"
                     (contextMenuEvent)="contextMenuEvent($event)" [hasActions]="true" [actions]="['navigate', 'download']"></app-extreme-table>

  <dx-context-menu
    [items]="contextMenuItems"
    (onItemClick)="itemClick($event)"
    [width]="250"
    style="padding: 15px; border-radius: 5px;"
    target="#table">
    <div *dxTemplate="let e of 'item'">
      <div>
        <span class="dx-icon-{{e.icon}}"></span>
        <span *ngIf="e.items" class="dx-icon-spinright"></span> {{ e.text }}
      </div>
    </div>
  </dx-context-menu>
</div>
